<template>
    <v-app app>

        <v-app-bar color="primary" dense dark app>
            <v-toolbar-title>{{ app }}</v-toolbar-title>

            <v-spacer></v-spacer>
            <slot name="sidebar"/>
            <v-toolbar-title v-html="sidebar"/>
        </v-app-bar>
        <!-- Sizes your content based upon application components -->
        <v-main>
            <!-- Provides the application the proper gutter -->
            <v-container>
                <slot/>
            </v-container>
        </v-main>
        <Snackbar/>
        <ConfirmDialog/>
        <ScreenLoader/>
    </v-app>
</template>

<script>

import Snackbar from "../SnackBars/Snackbar.vue";
import ConfirmDialog from "../ConfirmDialog/ConfirmDialog.vue";
import ScreenLoader from "../Loader/ScreenLoader.vue";
import {mapState} from "vuex";

export default {
    name: "External",
    components: {ScreenLoader, Snackbar, ConfirmDialog},
    data() {
        return {
            app: this.$page.props.appName,
        }
    },
    computed: {
        ...mapState({
            sidebar: state => state.External.sidebar,
        })
    }
}
</script>

<style scoped>

</style>
